Address transaction count
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/addresses/{address}/transactions/count \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/addresses/{address}/transactions/count"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/addresses/{address}/transactions/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": 11043,
"last_updated": {
"timestamp": "2022-10-10 20:25:28",
"block_hash": "2d9eda3c353ed1e18bd7219cdee9d4911df9e582d76adf7f85b1f464a78bd5af",
"block_slot": 32265939
}
}Addresses
Address transaction count
Get the total number of transactions associated with a specific Cardano address for analytics and pagination.
GET
/
addresses
/
{address}
/
transactions
/
count
Address transaction count
Authorizations
Project API Key
Path Parameters
Address in bech32 format
Response
Get the transaction count for an address
Timestamped response. Returns the endpoint response data along with the chain-tip of the indexer, which details at which point in the chain's history the data was correct as-of.
Was this page helpful?

